package com.bocloud.ims.interfaces.manageone;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.manageone.ManageOneAccount;

/**
 * manage one账号管理
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年6月17日
 */
public interface ManageOneAccountService {

	BocloudResult createAccount(Long vendorId, Long tenantId, RequestContext context);

	ManageOneAccount queryAccount(Long vendorId, Long tenantId);

	BocloudResult removeAccount(Long vendorId, Long tenantId);
}
